Skip to content

Reserve a New IP

POST
/api/v1/reserve_ips/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object

Example generated

{}

Successful response containing the reserved IP details

Media typeapplication/json
object
code
integer
data
object
ip_address
string
status
string
bought_at
string
vm_id
string
nullable
vm_name
string
reserve_id
integer
appliance_type
string
reserved_type
string
project_name
string
errors
object
key
additional properties
any
message
string
is_limit_available
boolean
reserved_ip_details
object
customer_max_limit
integer
reserved_ips_count
integer
reserve_ip_price
string
currency
string

Example

{
"code": 200,
"data": {
"ip_address": "164.52.198.54",
"status": "Available",
"bought_at": "04-11-2024 10:37",
"vm_id": null,
"vm_name": "--",
"reserve_id": 12662,
"appliance_type": "--",
"reserved_type": "AddonIP",
"project_name": "default-project-17976"
},
"message": "Success",
"is_limit_available": true,
"reserved_ip_details": {
"customer_max_limit": 10,
"reserved_ips_count": 6
},
"reserve_ip_price": "INR 199.0 (excluding GST)",
"currency": "INR"
}